import {postAction,getAotion,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

//获取县分下拉列表
let getSubstList = (params) => postAction(prefix + "/newUser/initSubstName" , params);
//获取学校下拉列表
let getSchoolList  = (params) => postAction(prefix + "/newUser/getSchoolNames" , params);
// 获取活动列表
let getList = (params) => postAction(prefix + "/salesList/list" , params);
// 删除
let deleteOrder = (params) => postAction(prefix + "/salesList/deleteOrder" , params);

let customRemark = (params) => postAction(prefix + "/salesList/customRemark" , params);
// 下载放号上传模板
let downloadTemplateFH = (params) => downFilePost(prefix + "/salesList/downloadTemplateFH" , params);
// 下载充值审核模板
let downloadTemplateCZ = (params) => downFilePost(prefix + "/salesList/downloadTemplateCZ" , params);
// 下载批量导入模板
let downloadTemplatePL =(params) => downFilePost(prefix + "/salesList/downloadTemplatePL" , params);
// 下载锁定导入模板
let downloadTemplateSD = (params) => downFilePost(prefix + "/salesList/downloadTemplateSD" , params);


// 下载导入结果清单
let downloadResult = (params) => downFilePost(prefix + "/salesList/exportResult" , params);

// 导出订单
let exportList = (params) => downFilePost(prefix + "/salesList/exportOrderList" , params);

export {
    getList,deleteOrder,getSubstList,getSchoolList,downloadTemplateFH,downloadTemplateCZ,
    downloadResult,exportList,customRemark,downloadTemplatePL, downloadTemplateSD
}
